Re: [PATCH]: remove extra-verbosity from git-clone (http)

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



* Junio C Hamano (junkio@xxxxxxx) wrote:
> I saw it.  The -v option used not to be there, but we added it
> with an explicit purpose of not boring people fetching over http
> connection (which used to be slow especially before packfiles
> were introduced).  I do not care much either way, but I suspect
> there actually are people who want to see that "assuring look"
> of something happening.  I dunno.

Actually, I very much agree now that I've actually tried it
myself when testing the simple patch below.

> I am certainly *not* opposed to have an explicit option or a
> per-user configuration to make it not pass -v to http-fetch.  I
> am just wondering if we want to change the default.  Especially
> people new to git may wonder what is happening without _any_
> feedback if we turned it off by default.

Well, there's enough to go on already.  So how about this simple change
for those few that are bothered by the verbose output?  Works in my
basic testing.

thanks,
-chris
--
Subject: [PATCH] make git clone -q suppress the noise with http fetch

We already have -q in git clone.  So for those who care to suppress
the noise during an http based clone, make -q actually do a quiet
http fetch.

Signed-off-by: Chris Wright <chrisw@xxxxxxxxxxxx>
Cc: Fernando Herrera <fherrera@xxxxxxxxxxx>
---
 git-clone.sh |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/git-clone.sh b/git-clone.sh
index 1bd54de..ab6c5c0 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -42,6 +42,7 @@ clone_dumb_http () {
 	http_fetch "$1/info/refs" "$clone_tmp/refs" ||
 		die "Cannot get remote repository information.
 Perhaps git-update-server-info needs to be run there?"
+	test "z$quiet" = z && v=-v || v=
 	while read sha1 refname
 	do
 		name=`expr "z$refname" : 'zrefs/\(.*\)'` &&
@@ -59,7 +60,7 @@ Perhaps git-update-server-info needs to be run there?"
 		else
 			tname=$name
 		fi
-		git-http-fetch -v -a -w "$tname" "$name" "$1/" || exit 1
+		git-http-fetch $v -a -w "$tname" "$name" "$1/" || exit 1
 	done <"$clone_tmp/refs"
 	rm -fr "$clone_tmp"
 	http_fetch "$1/HEAD" "$GIT_DIR/REMOTE_HEAD" ||
-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]